////////////////////////////////////////////////////////////////////////////////
// Copyright (C) 2008-2016 HiTi Digital, Inc.  All Rights Reserved.
//
// Revision: 1.7.11.1100
// Date    : 2016.02.03
//
////////////////////////////////////////////////////////////////////////////////
// DlgPasswd.cpp : implementation file
//

#include "stdafx.h"
#include "demo1.h"
#include "DlgPasswd.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgPasswd dialog


CDlgPasswd::CDlgPasswd(LPTSTR szPasswdOld, LPTSTR szPasswdNew, CWnd* pParent /*=NULL*/)
	: CDialog(CDlgPasswd::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgPasswd)
	m_PasswdOld = _T("");
	m_PasswdNew = _T("");
	//}}AFX_DATA_INIT

	m_lpPasswdOld = szPasswdOld;
	m_lpPasswdNew = szPasswdNew;
}


void CDlgPasswd::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgPasswd)
	DDX_Text(pDX, IDC_EDIT_PASSWD_OLD, m_PasswdOld);
	DDV_MaxChars(pDX, m_PasswdOld, 16);
	DDX_Text(pDX, IDC_EDIT_PASSWD_NEW, m_PasswdNew);
	DDV_MaxChars(pDX, m_PasswdNew, 16);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgPasswd, CDialog)
	//{{AFX_MSG_MAP(CDlgPasswd)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgPasswd message handlers

BOOL CDlgPasswd::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	if ( !m_lpPasswdOld )
	{
		GetDlgItem(IDC_STATIC_OLD_TAG)->ShowWindow(SW_HIDE);
		GetDlgItem(IDC_EDIT_PASSWD_OLD)->ShowWindow(SW_HIDE);
	}

	if ( !m_lpPasswdNew )
	{
		GetDlgItem(IDC_STATIC_NEW_TAG)->ShowWindow(SW_HIDE);
		GetDlgItem(IDC_EDIT_PASSWD_NEW)->ShowWindow(SW_HIDE);
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDlgPasswd::OnOK()
{
	// TODO: Add extra validation here
	UpdateData(TRUE);

	if ( m_lpPasswdOld )
		lstrcpy(m_lpPasswdOld, (LPCTSTR)m_PasswdOld);

	if ( m_lpPasswdNew )
		lstrcpy(m_lpPasswdNew, (LPCTSTR)m_PasswdNew);

	CDialog::OnOK();
}
